import request from '@/utils/request'

// 查询地块基本信息（DKJBXX）列表
export function listDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/list',
    method: 'POST',
    data
  })
}
export function getDkcount(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/hctb/count',
    method: 'POST',
    data
  })
}
export function getRoles() {
  return request({
    url: '/system/role/authUser/allocatedList/fieldoperators',
    method: 'get',
  })
}



// 查询地块基本信息（DKJBXX）详细
export function getDkjbxx(id) {
  return request({
    url: '/rsmonitoring/dkjbxx/' + id,
    method: 'get'
  })
}
export function getDkjbywy(id) {
  return request({
    url: '/rsmonitoring/dkjbxx/ywyp/' + id,
    method: 'get'
  })
}

// 核查流程记录
export function getAuditflow(params) {
  return request({
    url: '/rsmonitoring/auditflow/record/list/business',
    method: 'get',
    params
  })
}

// 分发
export function field(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/fieldwork/adds',
    method: 'post',
    data
  })
}
export function removeField(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/fieldwork/removes',
    method: 'post',
    data
  })
}
export function getStep(params) {
  return request({
    url: '/rsmonitoring/auditflow/record/list/step',
    method: 'get',
    params
  })
}


// 地块县级操作
export function hgxDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/hgx',
    method: 'post',
    data: data
  })
}
export function hgxinfo(params) {
  return request({
    url: '/rsmonitoring/dkjbxx/hgx/info',
    method: 'get',
    params
  })
}

// 地块市级审核操作
export function scDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/sc',
    method: 'post',
    data: data
  })
}
export function scinfo(params) {
  return request({
    url: '/rsmonitoring/dkjbxx/sc/info',
    method: 'get',
    params
  })
}
// 地块省级提交操作
export function tjDkjbxx(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/tj',
    method: 'post',
    data: data
  })
}
export function tjinfo(params) {
  return request({
    url: '/rsmonitoring/dkjbxx/tj/info',
    method: 'get',
    params
  })
}


export function getdecTree(params) {
  return request({
    url: '/rsmonitoring/dict_data/tree',
    method: 'get',
    params
  })
}
export function hgxSplit(data) {
  return request({
    url: '/rsmonitoring/dkjbxx/hgx/split',
    method: 'post',
    data
  })
}








